import request from '@/utils/request'

// 查询员工工时分摊月报列表
export function listEmpwhmonth(query) {
  return request({
    url: '/buyer/empwhmonth/list',
    method: 'get',
    params: query
  })
}

// 查询员工工时分摊月报详细
export function getEmpwhmonth(id) {
  return request({
    url: '/buyer/empwhmonth/' + id,
    method: 'get'
  })
}

// 新增员工工时分摊月报
export function addEmpwhmonth(data) {
  return request({
    url: '/buyer/empwhmonth',
    method: 'post',
    data: data
  })
}

// 修改员工工时分摊月报
export function updateEmpwhmonth(data) {
  return request({
    url: '/buyer/empwhmonth',
    method: 'put',
    data: data
  })
}

// 删除员工工时分摊月报
export function delEmpwhmonth(id) {
  return request({
    url: '/buyer/empwhmonth/' + id,
    method: 'delete'
  })
}
